<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<!--rst

NAME
====

select one language in a multilanguage XML/DocBook file

SYNOPSIS
========

DESCRIPTION
===========

In a file where informations are written in several languages,
``select_lang.xsl`` call with argument language return a file 
with only titles and paragraphes  written in this language.

TODO
====

 ++ attributes of nodes
 
EVOLUTIONS
==========

$Id$

- fplod 2009-01-09T11:27:08Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:template match="*">
 <xsl:message>LANG<xsl:value-of select="$language"/></xsl:message>
 <xsl:apply-templates/>
</xsl:template>

<xsl:template match="d:book">
 <xsl:copy select=".">
  <xsl:copy-of select="@*"/>
  <xsl:attribute name="xml:lang">
   <xsl:value-of select="$language"/>
  </xsl:attribute>
  <xsl:apply-templates/>
 </xsl:copy>
</xsl:template>

<xsl:template match="d:info|d:keywordset|d:authorgroup|d:author|d:surname|d:firstname|d:sect1|d:sect2|d:sect3|d:sect4|d:sect5">
 <xsl:copy select=".">
  <xsl:copy-of select="@*"/>
  <xsl:apply-templates/>
 </xsl:copy>
</xsl:template>

<xsl:template match="d:keyword|d:title|d:para">
 <xsl:variable name="result_att" select="not(@xml:lang)"/>
 <xsl:variable name="result_lang" select="@xml:lang=$language"/>
 <xsl:variable name="result" select="$result_lang or $result_att"/>
 <xsl:if test="$result_lang or $result_att">
  <xsl:copy-of select="."/>
 </xsl:if>
</xsl:template>

</xsl:stylesheet>
